Summary:		A perl script indenter and reformatter
Name:       perltidy
Version:	  20220613
Release:	  3%{?dist}
License:	  GPLv2+
URL:        http://perltidy.sourceforge.net/
Source0:	  https://cpan.metacpan.org/modules/by-module/Perl/Perl-Tidy-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils, findutils, make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker), sed
# Build runtime
BuildRequires:	perl(Carp), perl(constant), perl(Cwd), perl(Data::Dumper), perl(Digest::MD5), perl(Encode), perl(Exporter), perl(File::Basename), perl(File::Copy)
BuildRequires:	perl(File::Spec), perl(File::Temp), perl(Getopt::Long), perl(HTML::Entities), perl(IO::File), perl(Pod::Html), perl(strict), perl(vars), perl(warnings)
# Test Suite
BuildRequires:  perl(English), perl(FindBin), perl(Test), perl(Test::More), perl(utf8)
# Runtime
Requires:	perl-libs
Requires:	perl(File::Spec)
Requires:	perl(HTML::Entities)
Requires:	perl(Pod::Html)
Provides:	perl-Perl-Tidy = %{version}-%{release}

%description
Perltidy reads a perl script and writes an indented, reformatted script. This 
document describes the parameters available for controlling this formatting.

Perltidy is a commandline frontend to the module Perl::Tidy. For documentation 
describing how to call the Perl::Tidy module from other applications see the 
separate documentation for Perl::Tidy. It is the file Perl::Tidy.pod in the 
source distribution.



%prep
%autosetup -n Perl-Tidy-%{version}

rm examples/pt.bat
sed -i -e '/^examples\/pt\.bat/d' MANIFEST

find examples/ lib/ -type f -perm /a+x -exec chmod -c -x {} \;



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
make test



%files
%license COPYING
%doc BUGS.md CHANGES.md README.md docs/ examples/
%{_bindir}/perltidy
%{perl_vendorlib}/Perl/
%{_mandir}/man1/perltidy.1*
%{_mandir}/man3/Perl::Tidy.3*



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20220613-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20220613-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 07 2022 Zhao Zhen <jeremiazhao@tencent.com> - 20220613-1
- Initial building
